Package org.codehaus.groovy.runtime.metaclass

# Class MetaMethodIndex.Cache

java.lang.Object
org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Cache

Enclosing class:
  MetaMethodIndex

public static class MetaMethodIndex.Cache extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `MetaMethodIndex.MetaMethodCache`
  `cachedMethod`
  `MetaMethodIndex.MetaMethodCache`
  `cachedMethodForSuper`
  `MetaMethodIndex.MetaMethodCache`
  `cachedStaticMethod`
  `Object`
  `methods`
  `Object`
  `methodsForSuper`
  `final String`
  `name`
  `Object`
  `staticMethods`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Cache(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public final String name

  - ### methods

    public Object methods

  - ### methodsForSuper

    public Object methodsForSuper

  - ### staticMethods

    public Object staticMethods

  - ### cachedMethod

    public MetaMethodIndex.MetaMethodCache cachedMethod

  - ### cachedMethodForSuper

    public MetaMethodIndex.MetaMethodCache cachedMethodForSuper

  - ### cachedStaticMethod

    public MetaMethodIndex.MetaMethodCache cachedStaticMethod

- ## Constructor Details

  - ### Cache

    public Cache(String name)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`